/*
 * Display the initial welcome screen (to include all of the proper
 * acknowledgements).  Press any key to continue.
*/

#define VERSION "1.06"
#define DATE	"02 Jan 90"

#include <stdio.h>
#include <curses.h>
#include "misc.h"
#include "btx.h"

void
info(delay)
int delay;
{
	extern int fd;
	WINDOW *w_win, *newwin();
	char buf[80];
					/* display the welcome screen */
	if(btx_MACRO)	return;		/* no display on macro (batch) mode */

	w_win = newwin(23, 80, 0, 0);
	wset_color(w_win, COLOR_CYAN, COLOR_BLACK);
	mvwaddstr(w_win, 3, 18, "#####     ####    ####    ##   ##   ##   ##");
	mvwaddstr(w_win, 4, 18, "#    #   #       #    #   # # # #   # # # #");
	mvwaddstr(w_win, 5, 18, "#####    #       #    #   #  #  #   #  #  #");
	mvwaddstr(w_win, 6, 18, "#        #       #    #   #     #   #     #");
	mvwaddstr(w_win, 7, 18, "#         ####    ####    #     #   #     #");

	sprintf(buf, ">>> Pcomm Version %s <<<", VERSION);
	mvwaddstr(w_win, 10, (80-strlen(buf))/2, buf);
	sprintf(buf, "Release date: %s", DATE);
	mvwaddstr(w_win, 11, (80-strlen(buf))/2, buf);
	mvwaddstr(w_win, 13, 8, "Pcomm is a public domain telecommunication program for Unix that");
	mvwaddstr(w_win, 14, 8, "is designed to operate similar to the MSDOS program, ProComm.");
	mvwaddstr(w_win, 15, 8, "ProComm (TM) is copyrighted by Datastorm Technologies, Inc.");
	mvwaddstr(w_win, 19, 45, "Emmet P. Gray");
	mvwaddstr(w_win, 20, 45, "...!uunet!uiucuxc!fthood!egray");
	mvwaddstr(w_win, 21, 45, "option: BTX Emulation J.Hallbauer");
		
	wmove(w_win, 22, 79);
	wrefresh(w_win);
	wset_color(w_win, 0, 0);
					/* Delay so you can read the herald */
	if (delay)
		wait_key(w_win, 3);
	else
		wgetch(w_win);

	if (fd == -1) {
		werase(w_win);
		wrefresh(w_win);
	}
	delwin(w_win);
	return;
}
