/* ==================================================================== */
/* AUTHOR	: Firma USH	(c)  					*/
/* DATE		: 18.09.1989						*/
/* TITEL	: translate integer to ascii				*/
/*		                       					*/
/* UPDATE	:							*/
/* ==================================================================== */
#define	INTWIDTH	sizeof(int) * 3 
 
/*	itoa:	integer to ascii string.......... This is too 
		inconsistant to use the system's	*/ 
 
char *itoa(i) 
int i;	/* integer to translate to a string */ 
{ 
	register int digit;		/* current digit being used */ 
	register char *sp;		/* pointer into result */ 
	register int sign;		/* sign of resulting number */ 
	static char result[INTWIDTH+1];	/* resulting string */ 
 
	/* record the sign...*/ 
	sign = 1; 
	if (i < 0) { 
		sign = -1; 
		i = -i; 
	} 
 
	/* and build the string (backwards!) */ 
	sp = result + INTWIDTH; 
	*sp = 0; 
	do { 
		digit = i % 10; 
		*(--sp) = '0' + digit;	/* and install the new digit */ 
		i = i / 10; 
	} while (i); 
 
	/* and fix the sign */ 
	if (sign == -1) { 
		*(--sp) = '-';	/* and install the minus sign */ 
	} 
 
	return(sp); 
} 
