#include <stdio.h>
#include <curses.h>
#include "config.h"
#include "misc.h"
#include "modem.h"
#include "config.h"


void
system_screen()
{
	extern int fd;
	WINDOW *h_win, *newwin();
	char	*getenv();
	char	useterm[20];
	char	hascolor[5];

#ifdef	M_TERMCAP
	strcpy(useterm, "Termcap");
#else
	strcpy(useterm, "Terminfo");
	if( has_colors() )
		strcpy(hascolor, "Ja");
	else
#endif
		strcpy(hascolor,"Nein");
	

	h_win = newwin(17, 62, 2, 10);
	if(!LANGUAGE){
	mvwattrstr(h_win, 1, 18, A_BOLD, "S Y S T E M  -  I N F O\n");
	horizontal(h_win, 2, 0, 61);
	mvwprintw(h_win,  3,  2, "Terminal Type      : %35s", getenv("TERM"));
	mvwprintw(h_win,  4,  2, "Terminal Basic Sys : %35s", useterm);
	mvwprintw(h_win,  5,  2, "Terminal Color     : %35s", hascolor);
	mvwprintw(h_win,  6,  2, "Modem Initial      : %35s", BTX_MODEM_INIT);
	mvwprintw(h_win,  7,  2, "Logfile Directory  : %35s", LOGFILE);
	mvwprintw(h_win,  8,  2, "Default Files      : %35s", DEFAULT_DIR);
	mvwprintw(h_win,  9,  2, "Default Printer    : %35s", LPRINT);
 	box(h_win, VERT, HORZ);
	mvwaddstr(h_win, 16, 18, " Press any key to continue ");
	}else{
	mvwattrstr(h_win, 1, 18, A_BOLD, "S Y S T E M  -  I N F O\n");
	horizontal(h_win, 2, 0, 61);
	mvwprintw(h_win,  3,  2, "Terminal Type      : %35s", getenv("TERM"));
	mvwprintw(h_win,  4,  2, "Terminal Basis Sys : %35s", useterm);
	mvwprintw(h_win,  5,  2, "Terminal Farbe     : %35s", hascolor);
	mvwprintw(h_win,  6,  2, "Modem Init-String  : %35s", BTX_MODEM_INIT);
	mvwprintw(h_win,  7,  2, "Logfile Verzeichnis: %35s", LOGFILE);
	mvwprintw(h_win,  8,  2, "Default Dateien    : %35s", DEFAULT_DIR);
	mvwprintw(h_win,  9,  2, "Default Drucker    : %35s", LPRINT);
 	box(h_win, VERT, HORZ);
	mvwaddstr(h_win, 16, 18, " Drcke eine Taste um fortzufahren ");
	}
	wmove(h_win, 16, 60);
	wrefresh(h_win);

	wgetch(h_win);
	if (fd == -1) {
		werase(h_win);
		wrefresh(h_win);
	}
	delwin(h_win);
	return;
}
