/* ==================================================================== */
/* AUTHOR	: Firma USH	(c)  					*/
/* DATE		: 18.09.1989						*/
/*		  DATA-LINK-PROTOKOLL					*/
/* UPDATE	:							*/
/* ==================================================================== */
#define	MNAME	20			/* lenght macro-filename max	*/

extern	int	send_string();		/* set string to line		*/




extern	int	ACKx;			/* toggle ACK 0/1		*/
extern	int	btx_TFI;		/* Sende einen TFI zur VSt	*/
extern	int	DEBUG;			/* TEST-Protokoll log ON/OFF	*/
extern	int	PROT;			/* TEST-Schicht log ON/OFF	*/
extern	int 	LLOG;
extern	int	btx_TRD;		/* Switch Tranparente Daten	*/
extern 	int	btx_TSW;		/* Switch Telesoftware Mode	*/
extern	int	btx_TSW_dn;		/* Count off TSW-Filename	*/
extern	int	btx_MACRO;		/* Switch Macro - Aufruf	*/
extern	int	btx_CRON;		/* Switch Cron - Batchmode	*/
extern	char	btx_MFILE[MNAME];	/* macro command filename	*/
extern	int	btx_L_MACRO;		/* macro page log ON/OFF	*/
extern	int	btx_DBS;		/* dopplete breite 		*/
extern	int	btx_DBH;		/* doppelte hoehe		*/
extern	int	btx_HMS;		/* beim n. Attribute lbyte wieder- */
extern	int	btx_DCT;		/* Data Connect Terminator	*/
extern	int	btx_ATR;		/* Attribute byte is on serial C1 */
extern  int	btx_MERKBYTE;		/* SonderByte wenn kein Umlaut  */
extern	int	btx_TERM;		/* ON=use Blockgrafik OFF=none	*/

extern	int	btx_X;			/* Bildschirm Position Spalte	*/
extern	int	btx_Y;			/* Bildschirm Position Zeile	*/
extern	int	btx_X_NAK;		/* letzte position (block ok)	*/
extern	int	btx_Y_NAK;

extern	int	btx_XS;			/* window row   start   log	*/
extern	int	btx_XE;			/* window row   end     log    */
extern	int	btx_YS;			/* window colum start   log	*/
extern 	int	btx_YE;			/* window colum end	log	*/

extern	char	*btx_CH;		/* attr. cursor home		*/
extern	char	*btx_CL;		/* attr. clear screen		*/
extern  char	*btx_CE;		/* attr. delete end of line	*/
extern	char	*btx_SO;		/* attr. invers on		*/
extern	char	*btx_SE;		/* attr. invers off		*/
extern	char	*btx_US;		/* attr. underlined on		*/
extern	char	*btx_UE;		/* attr. underlined off		*/ 

extern	int	btx_lbyte;
extern	int	btx_GSET;		/* Kennung Grafik set G1-G4	*/
extern	int	btx_LSET;		/* Kennung Steuerung Flag	*/

extern	int	CLUT;			/* Kennung CLUT1,CLUT-4		*/
extern	int	SC;			/* Kennung paralell SC1,SC2	*/

extern	int	btx_PAGE;		/* Aktueller Seitenzaehler 	*/

extern	FILE	*flink;			/* debug lof-file-pointer	*/
extern	FILE	*logfp;			/* transfer protokoll pointer	*/
extern	FILE	*logmf;			/* macro log-file-pointer	*/
extern	FILE	*logtw;			/* Telesoftware file-pointer	*/

/*		Virtueller Bildschirm fuer Logdatei BTX			*/

extern  char	btx_log_tab[26][81];

#define ON		1		/* global			*/
#define OFF		0		/* global			*/

#define NUL		0		/* Block filler			*/
#define SOH		1		/* not used			*/
#define STX		2		/* start of text		*/
#define ETX		3		/* end-of-text			*/
#define EOT		4		/* end-of-textblock		*/
#define ENQ		5		/* enquire			*/
#define ACK		6		/* acknowlege			*/
#define ITB		7		/* imitiate block		*/
#define BEL		7		/* bell				*/

#define CS		12		/* Clear screen			*/
#define CR		13		/* Carige Return		*/
#define APR		13		/* Cursor one right		*/
#define LS1		14		/* Left shift GSET=1		*/
#define LS0 		15		/* Left shift GSET=0		*/
#define DLE		16		/* Transparent Data		*/
#define CON		17		/* Cursor on			*/
#define COF		20		/* Cursor off			*/
#define RPT		18		/* Repeat Char (n)		*/
#define INI		19		/* Initiator			*/
#define NAK		21		/* negativ answer		*/
#define SYN		22		/* not used			*/
#define ETB		23		/* end-block			*/
#define CAN		24		/* cancel to end of line	*/
#define SS2		25		/* parallel GSET=2		*/
#define DCT		26		/* Data collection Terminator	*/
#define TER		28		/* Terminator			*/
#define SS3		29		/* single shift g3		*/
#define US		31		/* unit seperator		*/
#define TFI		32		/* terminal-facility-indent	*/
#define SPACE		32		/* blank byte			*/

#define ATR		32		/* fill attribute (non color)	*/

#define DLEBS		127		/* delete backspace		*/

#define SBRK		47		/* Service break US 2f 40 y	*/
#define TFIEND		64		/* TFI-end			*/
#define AM1		96		/* AM Profil 1			*/
#define GP9		105		/* Geometrie Profil 1b		*/
#define POP		112		/* Photografie-Option		*/

#define SPID		127		/* ID fuer TFI			*/
#define SPTFI		78 		/* Spezial  TFI			*/
					/* TSW + Tarnsparent + 80 Z	*/

#define APB		8		/* Cursor back			*/
#define APF		9		/* Cursor forward		*/
#define APD		10		/* Cursor down			*/
#define APU		11		/* Cursor up			*/
#define APH		30		/* Cursor home			*/

#define	CDY		152		/* conceal display		*/
#define FSH		136		/* flashing beginn		*/
#define STD		137		/* flashing steady (end)	*/
#define EBX		138		/* end of window		*/
#define SBX		139		/* start of window		*/

#define BBD		156		/* black background		*/
#define NBD		157		/* new background		*/
#define HMS		158		/* Hold Mosaic			*/
#define RMS		159		/* Release Mosaic		*/

#define STL		154		/* Start Unterstreichen		*/
#define SPL		153		/* Stop  Unterstreichen		*/
#define	IPO		157		/* Start Invertiert		*/
#define NPO		156		/* Stop  Invertiert		*/

#define TRB		158		/* Transparent Hintergrund	*/
#define STC		159		/* Stop verdeckter Bereich	*/

#define BESC		27		/* Escape Sequenz		*/
#define CSI		155		/* Serial Attribute-Byte	*/

#define ACK0		48		/* schicht 2 ACK 0		*/
#define ACK1		49		/* schicht 2 ACK 1		*/
#define WACK		59

#define	UML		200 		/* Folgendes Zeichen Umlaut	*/
#define DBW		142		/* Zeichen doppelte breite	*/
#define DBS		143		/* doppelte breite		*/
#define DBH		141		/* doppelte hoehe und breite    */
#define NSZ		140		/* normal size			*/

/* end */
