/* ==================================================================== */
/* AUTHOR	: Firma USH	(c)  					*/
/* DATE		: 18.09.1989						*/
/* TITEL	: Bildschirm-Steuerung CEPT Schicht 6			*/
/*		                       					*/
/* UPDATE	:							*/
/* ==================================================================== */
#include <stdio.h>
#include <curses.h>

#include "config.h"
#include "btx.h"

extern	int	btx_STL;
extern	int	btx_IPO;
int		btx_STL;
int		btx_IPO;

int	btx_conv( c1 )
int	c1;
{
	static	int	btx_MAC_mode;
	static	int	TSW_coding;
	static	int	CODE_count;


	int	s0,s1,s2,s3,s4, s5,s6,s7,s8,s9;
	int	zw_x, zw_y;
	char	c, str[2];
	char	TWFILE[60];
	int	zz;
	FILE	*fopen();
	int 	btx_login();
	int	btx_macro();
	int	btx_prot();
	int	prot_test();

	unsigned short	btx_locate();
	void btx_cls(), btx_attrnorm(), btx_underline(), btx_delendline();
	void btx_invert();
	void btx_log_cls(), btx_log_deol(), btx_log(), btx_log_write();
	void btx_underline_off(), btx_invert_off();
	char *itoa();

	/* Wenn Protokoll-Byte, dann zurueck zum input	*/
	if ( btx_prot( c1 ) ) {
		return(NUL);
	}
	if ( btx_TRD ){			/* Transparente Daten	*/
		if(logtw != (FILE *)NULL)	fprintf(logtw, "%c", c1);
		if(DEBUG)	fprintf(flink,"<TS-LOG[%c]>", c1);
		return(NUL);
	}

	btx_ATR=OFF;			/* ini btx_ATR byte	*/

	if ( btx_DCT ) {		/* clear next DCT	*/
		btx_DCT = OFF;
		btx_DBS = OFF;
		btx_DBH = OFF;
	}

	if (c1 == DLEBS) {		/* DELETE BACKSPACE	*/
		if(DEBUG)	fprintf(flink, "<DLEBS>\n");
		return(SPACE);
	}
	if (c1 == CON) {		/* CON	Cursor on	*/
		if (DEBUG)
			fprintf(flink, "<CON>");
		return(NUL);
	}
	if (c1 == COF) {		/* COF Cursor	off	*/
		if (DEBUG)
			fprintf(flink, "<COF>");
		
		btx_log_write();
		return(NUL);
	}
	if (c1 == APR) {		/* Cursor start row	*/
		if (DEBUG)
			fprintf(flink, "<APR>\n");
		btx_Y = 0;
		btx_locate(btx_X, btx_Y);
		return(NUL);
	}
	if (c1 == APB) {		/* Cursor 1 byte left	*/
		if (DEBUG)
			fprintf(flink, "<APB[%d]>", btx_GSET);
		if(btx_Y <= 0){
			btx_Y = 39;
			btx_X--;
		}else{
			btx_Y--;
		}
		btx_locate(btx_X, btx_Y);
		return(NUL);
	}
	if (c1 == APF) {		/* Cursor 1 byte forward */
		if (DEBUG)
			fprintf(flink, "<APF>");
		if(btx_Y < 40){
			btx_Y++;
		}else{
			btx_Y=0;
			btx_X++;
		}
		btx_locate(btx_X, btx_Y);
		return(NUL);
	}
	if (c1 == APD) {		/* Cursor down 1 row	*/
		if(btx_X < 24)	btx_X++;
		else		btx_X=0;
		btx_locate(btx_X, btx_Y);
		if(DEBUG)		fprintf(flink, "<APD>");
		return( NUL );
	}
	if (c1 == APU) {		/* Cursor up 1 row	*/
		if(btx_X > 0)	btx_X--;
		else		btx_X=24;

		btx_locate(btx_X, btx_Y);
		if (DEBUG)
			fprintf(flink, "<APU>");
		return(NUL);
	}
	if (c1 == APH) {		/* Cursor	home	*/
		if (DEBUG)
			fprintf(flink, "<APH>");
		btx_X = 0;
		btx_Y = 0;
		btx_locate(btx_X, btx_Y);
		return(NUL);
	}



	if (SC <= 1) {		/* control 1 Set SC1 aktiv	*/
					/* attribute color	*/
		if ((c1 >= 0x80) && (c1 <=0x87)){
			if(DEBUG)
				fprintf(flink, "<C1ATR[%x]>", c1);
			btx_ATR=ON;
			return(ATR);
		}
					/* attribute color	*/	
		if ((c1 >= 0x90) && (c1 <=0x97)){	 
			if(DEBUG)
				fprintf(flink, "<C1ATR[%x]>", c1);
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == CDY) {	/* conceal display	*/
			if(DEBUG)
				fprintf(flink, "<CDY>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == SPL) {	/* stop underline	*/
			if (DEBUG)
				fprintf(flink, "<SPL>");
			if((!btx_IPO) && (btx_STL))	btx_underline_off();

			btx_STL=OFF;
			btx_DBS=OFF;
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == STL) {	/* start underline	*/
			if (DEBUG)
				fprintf(flink, "<STL>");
			if(!btx_IPO){
				btx_underline();
				btx_STL=ON;
			}
			btx_DBS=OFF;
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == BBD) {	/* black background	*/
			if (DEBUG)
				fprintf(flink, "<BBD>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == NBD) {	/* new background	*/
			if (DEBUG)
				fprintf(flink, "<NBD>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == HMS) {	/* hold mosaic		*/
			if (DEBUG)
				fprintf(flink, "<HMS>");
			btx_attrnorm();
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == RMS) {	/* hold mosaic cancel	*/
			if (DEBUG)
				fprintf(flink, "<RMS>");
			btx_ATR=ON;
			return(ATR);
		}

		if (c1 == FSH) {	/* flashing begin 	*/
			if (DEBUG)
				fprintf(flink, "<FSH>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == STD) {	/* flashing steady (end)*/
			if (DEBUG)
				fprintf(flink, "<STD>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == EBX) {	/* end of window	*/
			if (DEBUG)
				fprintf(flink, "<EBX>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == SBX) {	/* start of window	*/
			if (DEBUG)
				fprintf(flink, "<SBX>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == NSZ) {	/* Set normal size 	*/
			btx_DBS = OFF;
			btx_DBH = OFF;
			if (DEBUG)
				fprintf(flink, "<NSZ>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == DBW) {	/* Set double width	*/
			btx_DBS = ON;
			btx_DBH = OFF;
			if (DEBUG)
				fprintf(flink, "<DBW>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == DBS) {	/* Set double	size	*/
			btx_DBS = ON;
			btx_DBH = ON;
			if (DEBUG)
				fprintf(flink, "<DBS>");
			btx_ATR=ON;
			return(ATR);
		}
		if (c1 == DBH) {	/* Set double	high	*/
			btx_DBH = ON;
			btx_DBS = OFF;
			if (DEBUG)
				fprintf(flink, "<DBH>");
			btx_ATR=ON;
			return(ATR);
		}

	}			/* end serial C1 set control 1	*/



	if (SC == 2) {		/* Control 2 Set SC2 aktiv	*/

					/* attribute color	*/
		if ((c1 >= 0x80) && (c1 <= 0x87)){
			if (DEBUG)
				fprintf(flink, "<C2ATR[%x]>", c1);
			return(NUL);
		}
					/* attribute color	*/
		if ((c1 >= 0x90) && (c1 <= 0x97)){
			if(DEBUG)
				fprintf(flink, "<C2ATR[%x]>", c1);
			return(NUL);
		}
                if (c1 == CDY) {	/* conceal display	*/
			if(DEBUG)
				fprintf(flink, "<CDY>");
			return(NUL);
		}
		if (c1 == SPL) {	/* stop underline	*/
			if (DEBUG)
				fprintf(flink, "<SPL>");
			if((!btx_IPO) && (btx_STL))	btx_underline_off();
			btx_STL=OFF;
			return(NUL);
		}
		if (c1 == STL) {	/* start underline	*/
			if (DEBUG)
				fprintf(flink, "<STL>");
			if(!btx_IPO){
				btx_underline();
				btx_STL=ON;
			}
			return(NUL);
		}
		if (c1 == IPO) {	/* Set invert		*/
			if (DEBUG)
				fprintf(flink, "<IPO>");
					/* no mix for STL and IPO	*/
			if(!btx_STL){
				btx_invert();
				btx_IPO=ON;
			}
			return(NUL);
		}
		if (c1 == NPO) {	/* Set invert reset	*/
			btx_IPO=OFF;
			if(!btx_STL)	btx_invert_off();
			if (DEBUG)
				fprintf(flink, "<NPO>");
			return(NUL);
		}
		if (c1 == TRB) {	/* transparent background */
			if (DEBUG)
				fprintf(flink, "<TRB>");
			return(NUL);
		}
		if (c1 == STC) {	/* stop conceal		*/
			if (DEBUG)
				fprintf(flink, "<STC>");
			return(NUL);
		}
		if (c1 == FSH) {	/* flashing begin 	*/
			if (DEBUG)
				fprintf(flink, "<FSH>");
			return(NUL);
		}
		if (c1 == STD) {	/* flashing steady (end)*/
			if (DEBUG)
				fprintf(flink, "<STD>");
			return(NUL);
		}
		if (c1 == EBX) {	/* end of window	*/
			if (DEBUG)
				fprintf(flink, "<EBX>");
			return(NUL);
		}
		if (c1 == SBX) {	/* start of window	*/
			if (DEBUG)
				fprintf(flink, "<SBX>");
			return(NUL);
		}
		if (c1 == NSZ) {	/* Set normal size 	*/
			if(btx_DBH){
				btx_X++;
				btx_locate(btx_X, btx_Y);
			}
			if(btx_DBS){
				btx_Y++;
				btx_locate(btx_X, btx_Y);
			}
			btx_DBS = OFF;
			btx_DBH = OFF;
			if (DEBUG)
				fprintf(flink, "<NSZ[%d]>",SC);
			return(NUL);
		}

		if (c1 == DBW) {	/* Set double width	*/
			btx_DBS = ON;
			btx_DBH = OFF;
			if (DEBUG)
				fprintf(flink, "<DBW[%d]>",SC);
			return(NUL);
		}
		if (c1 == DBS) {	/* Set double	size	*/
			if((btx_X > 0) && (!btx_DBH) )	btx_X--;
			btx_locate(btx_X, btx_Y);
			btx_DBS = ON;
			btx_DBH = ON;
			if (DEBUG)
				fprintf(flink, "<DBS>");
			return(NUL);
		}
		if (c1 == DBH) {	/* Set double high	*/
			if((btx_X > 0) && (!btx_DBS))	btx_X--;
			btx_locate(btx_X , btx_Y);
			btx_DBS = OFF;
			btx_DBH = ON;
			if (DEBUG)
				fprintf(flink, "<DBH>");
			return(NUL);
		}

	}	/* end parallel C2 control	2	*/


	if (c1 == LS1) {		/* locking shift GSET=1	*/
		if (DEBUG)
			fprintf(flink, "<LS1>");
		btx_GSET = 1;
		return(NUL);
	}
	if (c1 == LS0) {		/* locking shift GSET=0	*/
		if (DEBUG)
			fprintf(flink, "<LS0>");
		btx_GSET = 0;
		return(NUL);
	}

	/* Umsetzen Umlaute , retcode enspricht Umlaut */
	if (c1 == SS2) {		/* single shift GSET=2	*/

		s2 = prot_test();

		if(s2 == 'H')		s2=prot_test();

		if (DEBUG)
			fprintf(flink, "<SS2[%x][%d]>\n",c1,s2);

		if (s2 == 'U')
			return(154);
		if (s2 == 'O')
			return(153);
		if (s2 == 'A')
			return(142);
		if (s2 == 'a')
			return(132);
		if (s2 == 'u')
			return(129);
		if (s2 == 'o')
			return(148);

		s1 = singleshift( s2, 2 );
		return(s1);
	}

	if (c1 == SS3) {		/* single shift GSET=3	*/
		s2 = prot_test();
		s1 = singleshift( s2, 3 );
		if(DEBUG)	fprintf(flink, "<SS3[%d][%d]>\n",s2,s1);
		return(s1);
	}

	if (c1 == BEL) {		/* sound beep	*/
		if(DEBUG)	fprintf(flink, "<BEL>");
		if(!btx_CRON){
			sprintf(str,"%c",BEL);
			addstr(str);
		}
		return(NUL);
	}

	if (c1 == INI) {		/* initiator		*/
		if(DEBUG)	fprintf(flink, "<INI>");
		return(NUL);
	}
	if (c1 == DCT) {		/* data collection Terminator	*/
		if(DEBUG)	fprintf(flink, "<DCT>");

		btx_log_write();
		btx_TSW=OFF;	/* terminate Telesoftware Switch 	*/
		btx_DCT++;	/* set next clear			*/
		btx_PAGE++;	/* set page counter			*/

		if (btx_PAGE < 4) {	/* login phase			*/
			btx_login( btx_PAGE );
		} else {		/* macro phase			*/
			btx_macro( btx_PAGE );
		}
		if( 	(btx_PAGE==3) && 
			(strcmp(btx_MFILE,"NONE")==0) && 
			(logfp != (FILE *)NULL) )
			btx_L_MACRO=ON;

		return(NUL);
	}
	if (c1 == TER) {		/* Terminatior			*/
		if (DEBUG)
			fprintf(flink, "<TER>");
		return(NUL);
	}
	if (c1 == CR) {			/* Carrige return		*/
		if (DEBUG)
			fprintf(flink, "<CR >");
		return(c1);
	}
	if (btx_TSW){			/* Telesoftware			*/
		if(c1 == US){		/* Unit separator		*/
			s1=prot_test();

			if(s1==0x3e){
				s2=prot_test();
				if(s2==0x33){
					if(DEBUG) fprintf(flink,"<TSW-END>");
					btx_TSW=OFF;
					TSW_coding=0;
					if(logtw !=(FILE *)NULL)
					{
						 fclose(logtw);
					}
					btx_locate( 4,50);
					addstr("Empfangene Bytes ");
					addstr( itoa(CODE_count) );
					btx_locate( btx_X, btx_Y );
					return(NUL);
				}
				if(s2==0x41){
					s3=prot_test();
					s4=prot_test();
					s5=prot_test();
					s6=prot_test();
					s7=prot_test();
					s8=prot_test();
					s9=prot_test();
					s0=prot_test();
					if(DEBUG)
						fprintf(flink,
						"<T-A[%x %x %x %x %x %x %x %x]",						      s3,s4,s5,s6,s7,s8,s9,s0);
					return(NUL);
				}
				if(s2==0x42){
					s3=prot_test();
					s4=prot_test();
					s5=prot_test();
					s6=prot_test();
					s7=prot_test();
					s8=prot_test();
					if(DEBUG)
						fprintf(flink,
						"<T-FI[%x %x %x %x %x %x]>",
						       s3,s4,s5,s6,s7,s8);
					return(NUL);
				}
				if(s2==0x43){
					s3=prot_test();
					s4=prot_test();
					s5=prot_test();
					s6=prot_test();
					s7=prot_test();
					s8=prot_test();
					s9=prot_test();
					if(DEBUG)
						fprintf(flink,
						"<T-W-S[%x %x %x %x %x %x %x]",
						       s3,s4,s5,s6,s7,s8,s9);
					return(NUL);
				}
				if(s2==0x44){
					s3=prot_test();
					s4=prot_test();
					s5=prot_test();
					if(DEBUG)
						fprintf(flink,
						"<T-WR[%x %x %x]",
							s3,s4,s5);
					return(NUL);
				}
				if(s2==0x45){
					s3=prot_test();
					s4=prot_test();
					s5=prot_test();
					s6=prot_test();
					s7=prot_test();
					s8=prot_test();
					s9=prot_test();
					if(DEBUG)
						fprintf(flink,  
						"<T-WE[%x %x %x %x %x %x %x]",
						       s3,s4,s5,s6,s7,s8,s9);
					return(NUL);
				}
				if(DEBUG) fprintf(flink, "<TSW-S[%x]>",s2);
				return(NUL);
			}

			if((DEBUG) && (logtw !=(FILE *)NULL))
			{
				fprintf(logtw,"%c%c", c1,s1);
				fprintf(flink,"TS-LOG[%c%c]", c1,s1);
			}
			CODE_count++;
			CODE_count++;
		}

		CODE_count++;
		if(DEBUG)	fprintf(flink, "%c", c1);
		if(logtw != (FILE *)NULL)
		{
			fprintf(logtw,"%c",c1);
			fprintf(flink,"<TS-LOG[%c]>",c1);
		}
		return(NUL);
	}

	if (c1 == US) {				/* US or APA found 	*/
		s1 = prot_test();
		s2 = prot_test();

		/* DRCS Header		*/
		if ((s1 == 0x23) && (s2 >= 0x20)) {
			s3 = prot_test();
			s4 = prot_test();
			if (DEBUG)
				fprintf(flink, "<DRCS[%x][%x]>", s3, s4);
			btx_GSET = 5;	/* None display	*/
			if (DEBUG)
				fprintf(flink, "<GSET-%d>\n", btx_GSET);
			return(NUL);
		}
		/* Color definition	*/
		if ((s1 == 0x26) && (s2 == 0x20)) {
			s3 = prot_test();
			if (DEBUG)
				fprintf(flink, "<COL[%x]>", s3);
			btx_GSET = 5;
			return(NUL);
		}

		/* Color definition	*/
		if (s1 == 0x2d) {
			s3 = prot_test();
			s4 = prot_test();
			if (DEBUG)
				fprintf(flink, "<COL[%x][%x]>", s3, s4);
			return(NUL);
		}
		if (s1 > 64) {
			btx_X = s1 - 65;
			btx_Y = s2 - 65;
			if(DEBUG) fprintf(flink,"<USP(%d)(%d)>\n",btx_X,btx_Y);
			btx_locate( btx_X, btx_Y );
			return(NUL);
		}
		/* VSt fordert TFI-Kennung an		*/

		if ((s1 == TFI) && (s2 == TFIEND)) {
			btx_TFI = 1;	/* Connect TFI	*/
			return(NUL);
		}
		/* VSt spiegelt TFI	*/

		if ((s1 == TFI) && (s2 == AM1)) {	/* Terminal identif. */
			s3 = prot_test();
			s3 = prot_test();
			s3 = prot_test();
			return(NUL);
		}
		if ((s1 == SBRK) && (s2 == TFIEND)) {	/*ServiceBreak*/
			s3 = prot_test();
			btx_X = s3 - 65;
			btx_Y = 0;
			if (DEBUG)
				fprintf(flink, "<SBRK[%d][%d]>\n",btx_X,btx_Y);
			btx_locate( btx_X, btx_Y);
			SC=1;			/* default parallel C1 set */
			return(NUL);
		}
		if ((s1 == 0x26) && (s2 == 0x30)) {	/* Unit reset	*/
			if (DEBUG)
				fprintf(flink, "<USCLS>");
			btx_attrnorm();
			btx_cls();
			btx_log_cls();
			return(NUL);
		}
		if ((s1 == 0x2f) && (s2 == 0x41)) {	/* Terminal clear */
			if (DEBUG)
				fprintf(flink, "<TR-SC1>\n");
			SC=1;			/* serial C1 mit CS	*/
			btx_cls();
			btx_log_cls();
			btx_attrnorm();
			btx_GSET = 1;
			btx_DBS=OFF;
			btx_DBH=OFF;
			return(NUL);
		}
		if ((s1 == 0x2f) && (s2 == 0x42)) {	/* Terminal clear */
			if (DEBUG)
				fprintf(flink, "<TR-SC2>\n");
			SC=2;			/* parallel C1 mit CS	*/
			btx_cls();
			btx_log_cls();
			btx_attrnorm();
			btx_GSET = 1;
			btx_DBS=OFF;
			btx_DBH=OFF;
			return(NUL);
		}
		if ((s1 == 0x2f) && (s2 == 0x43)){	/* Terminal clear */
			if(DEBUG)
				fprintf(flink, "<LTR-SC1>\n");
			SC=1;			/* serial C1 ohne CS	*/
			btx_GSET=1;
			btx_DBH=OFF;		/* double with init	*/
			btx_DBS=OFF;		/* double size init	*/
			return(NUL);
		}
		if ((s1 == 0x2f) && (s2 == 0x44)){	/* Terminal clear */
			if (DEBUG)
				fprintf(flink, "<LTR-SC2>\n");
			SC=2;			/* parallel C1 ohne CS	*/
			btx_GSET=1;
			btx_DBS=OFF;		/* double size init	*/
			btx_DBH=OFF;		/* double with init	*/
			btx_attrnorm();
			return(NUL);
		}
		if ((s1 == 0x2f) && (s2 == 0x4f)){	/* Terminal reset */
			SC=2;
			btx_GSET=1;
			btx_DBS=OFF;
			btx_DBH=OFF;
			if(DEBUG)
				fprintf(flink,"<PTR-SC%d>\n", SC);
			return(NUL);
		}

		if (s1==0x3e) {		/* Start Telesoftware		*/
			if(DEBUG) fprintf(flink,"<TSW[%x]>", s2);

			if(s2==0x27){	/* Start Telesoftware		*/
				btx_GSET=5;
				s3=prot_test();
				s4=prot_test();
				s5=prot_test();
				s6=prot_test();
				s7=prot_test();
			
				btx_TSW=ON;
				if(DEBUG) fprintf(flink,
				"<TSW_START[%x %x %x %x %x %x]>",
					    s2,s3,s4,s5,s6,s7);
				zw_y=btx_Y;
				zw_x=btx_X;
				sprintf(TWFILE,"TSW%02d.tsw", btx_TSW_dn++);
				if(((char *)logtw = (char *)fopen(TWFILE,"w"))==(char *)NULL){
					if(DEBUG) fprintf(flink,"<CAN'T-OPEN>");
					btx_locate(23,50);
					addstr("Can't open Telesoftware File");	
				}
				btx_locate( 0, 50);
				addstr("Telesoftware running");
				btx_locate( 1, 50);
				if(s7 == 0x42){
					TSW_coding=1;
					addstr("Modus 3-in-4 coding");
				}else{
					TSW_coding=0;
					addstr("Modus 8-bit coding");
				}	
				btx_locate( 2,50);
				addstr("Schreibe Datei -> ");
				addstr( TWFILE );

				btx_locate(btx_X, btx_Y);
				return(NUL);
			}
			return(NUL);
		}			

		if (DEBUG)
			fprintf(flink, "<NOUS[%x][%x]>", s1, s2);
		return(NUL);
	}
	if (c1 == CSI) {		/* Control Sequenz Introducer	*/
		s1 = prot_test();
		if (s1 == 0x42) {		/* stop conceal	*/
			if (DEBUG)
				fprintf(flink, "<STC>");
			return(NUL);
		}

		s2 = prot_test();

		if ((s1 == 0x30) && (s2 == 0x40)) {	/* Color font 1 */
			CLUT = 1;			/* Set CT1	*/
			if (DEBUG)
				fprintf(flink, "\n<CT1>");
			return(NUL);
		}
		if ((s1 == 0x31) && (s2 == 0x40)) {	/* Color font 2 */
			CLUT = 2;			/* Set CT2	*/
			if (DEBUG)
				fprintf(flink, "\n<CT2>");
			return(NUL);
		}
		if ((s1 == 0x32) && (s2 == 0x40)) {	/* Color font 3 */
			CLUT = 3;			/* Set CT3	*/
			if (DEBUG)
				fprintf(flink, "\n<CT3>");
			return(NUL);
		}
		if ((s1 == 0x33) && (s2 == 0x40)) {	/* Color font 4 */
			CLUT = 4;			/* Set CT4	*/
			if (DEBUG)
				fprintf(flink, "\n<CT4>");
			return(NUL);
		}

		if ((s1 == 0x30) && (s2 == 0x41)) {	/* IVF		*/
			if (DEBUG)
				fprintf(flink, "<IVF>");
			return(NUL);
		}
		if ((s1 == 0x31) && (s2 == 0x41)) {	/* RIF		*/
			if (DEBUG)
				fprintf(flink, "<RIF>");
			return(NUL);
		}
		if ((s1 == 0x32) && (s2 == 0x41)) {	/* FF1		*/
			if (DEBUG)
				fprintf(flink, "<FF1>");
			return(NUL);
		}
		if ((s1 == 0x33) && (s2 == 0x41)) {	/* FF2		*/
			if (DEBUG)
				fprintf(flink, "<FF2>");
			return(NUL);
		}
		if ((s1 == 0x34) && (s2 == 0x41)) {	/* FF3		*/
			if (DEBUG)
				fprintf(flink, "<FF3>");
			return(NUL);
		}
		if ((s1 == 0x35) && (s2 == 0x41)) {	/* ICF		*/
			if (DEBUG)
				fprintf(flink, "<ICF>");
			return(NUL);
		}
		if ((s1 == 0x36) && (s2 == 0x41)) {	/* DCF		*/
			if (DEBUG)
				fprintf(flink, "<DCF>");
			return(NUL);
		}
		if ((s1 == 0x32) && (s2 == 0x54)) {	/* MMT		*/
			if (DEBUG)
				fprintf(flink, "<MMT>");
			return(NUL);
		}

		if (s2 == 0x55) {			/* CSA		*/
			if (DEBUG)
				fprintf(flink, "<CSA[%x]>", s1);
			return(NUL);
		}
		if (s2 == 0x56) {			/* CSD		*/
			if (DEBUG)
				fprintf(flink, "<CSD[%x]>", s1);
			return(NUL);
		}

		if ((s1 == 0x30) && (s2 == 0x60)) {	/* SCU		*/
			if (DEBUG)
				fprintf(flink, "<SCU>");
			return(NUL);
		}
		if ((s1 == 0x31) && (s2 == 0x60)) {	/* SCD		*/
			if (DEBUG)
				fprintf(flink, "<SCD>");
			return(NUL);
		}
		if ((s1 == 0x32) && (s2 == 0x60)) {	/* AIS		*/
			if (DEBUG)
				fprintf(flink, "<AIS>");
			return(NUL);
		}
		if ((s1 == 0x33) && (s2 == 0x60)) {	/* DIS		*/
			if (DEBUG)
				fprintf(flink, "<DIS>");
			return(NUL);
		}

		if ((s1 == 0x31) && (s2 == 0x50)) {	/* PMS		*/
			if (DEBUG)
				fprintf(flink, "<PMS>");
			return(NUL);
		}
		if ((s1 == 0x31) && (s2 == 0x51)) {	/* PMC		*/
			if (DEBUG)
				fprintf(flink, "<PMC>");
			return(NUL);
		}

		if (DEBUG)
			fprintf(flink, "<CSI[%x][%x]>", s1, s2);
		return(NUL);
	}


	if (c1 == BESC) {			/* Escape		*/
		s1 = prot_test();
		/* Grafik satz G1 G2 G3 Locking	*/
	
		if (s1 == 0x7c) {		/* LS3R			*/
			if (DEBUG)
				fprintf(flink, "<LS3R>\n");
			btx_GSET = 3;
			return(NUL);
		}
		if (s1 == 0x7d) {		/* LS2R			*/
			if (DEBUG)
				fprintf(flink, "<LS2R>\n");
			btx_GSET = 2;
			return(NUL);
		}
		if (s1 == 0x7e) {		/* LS1R			*/
			if (DEBUG)
				fprintf(flink, "<LS1R>\n");
			btx_GSET = 1;
			return(NUL);
		}
		if (s1 == 0x6e) {		/* LS2			*/
			if (DEBUG)
				fprintf(flink, "<LS2>\n");
			btx_GSET = 2;
			return(NUL);
		}
		if (s1 == 0x6f) {		/* LS3			*/
			if (DEBUG)
				fprintf(flink, "<LS3>\n");
			btx_GSET = 3;
			return(NUL);
		}
							/* C1 in 7 seq */
		if ((s1 >= 0x40) && (s1 <= 0x5f)){	/* NOT USED */
			if(DEBUG)
				fprintf(flink,"<C1in7>");
			return(NUL);
		}

		s2 = prot_test();

		if((s1==0x22) && (s2==0x40)){	/* serial SC1 set	*/
			if(DEBUG)
				fprintf(flink, "<SC1>");
			SC=1;			/* serial C1 set	*/
			return(NUL);
		}
		if((s1==0x22) && (s2==0x41)){	/* parallel  SC2 set	*/
			if(DEBUG)
				fprintf(flink, "<SC2>");
			SC=2;
			return(NUL);
		}

		if((s1==0x23) && (s2==0x20)){	/* full screen attr	*/
			s3=prot_test();
			if(DEBUG)
				fprintf(flink,"<FSCREEN[%x][%x][%x]>",s1,s2,s3);
			return(NUL);
		}
		if((s1==0x23) && (s2==0x21)){	/* full screen attr	*/
			s3=prot_test();
			if(DEBUG)
				fprintf(flink,"<FROW[%x][%x][%x]>",s1,s2,s3);
			return(NUL);
		}



		/* Grafiksatz auswahl		*/
		if ((s2 >= 0x40) && (s2 <= 0x64) || (s2 == 0x20)) {
			if (s1 == 0x28)
				btx_GSET = 0;
			if (s1 == 0x29)
				btx_GSET = 1;
			if (s1 == 0x2a)
				btx_GSET = 2;
			if (s1 == 0x2b)
				btx_GSET = 3;

			if (s2 == 0x20)
				s3 = prot_test();

			if (DEBUG)
				fprintf(flink, "\n<GSET-%d>", btx_GSET);
			return(NUL);
		}

		s3 = prot_test();
		if ((s1 == 0x23) && (s2 == 0x21)) {	/* SAT-ATR	*/
			if (DEBUG)
				fprintf(flink, "<SATTRF%x>", s3);
			btx_GSET = 1;
		}

		if (DEBUG)
			fprintf(flink, "<ESC[%x][%x][%x]>", s1, s2, s3);
		return(NUL);
	}

	if (c1 == RPT) {			/* repeat mode		*/
		s1 = prot_test();
		if (DEBUG)
			fprintf(flink, "<RPT(%d)>", s1 - 64);
		for (zz = 0; zz < s1 - 64; zz++) {
			if(!btx_CRON){
				if(!btx_lbyte)	btx_lbyte=SPACE;
				sprintf(str, "%c", btx_lbyte);
				addstr( str );
				refresh();
				vs_putchar( btx_lbyte );
			}
			btx_log( btx_lbyte );
			btx_Y++;
			if (DEBUG)
				fprintf(flink, "%c", btx_lbyte);

			if (btx_Y >= 40) {
				btx_Y = 0;
				btx_X++;
				if((btx_DBH) && (SC==2)) btx_X++;
				btx_locate(btx_X, btx_Y);
				btx_DBS = OFF;
				btx_DBH = OFF;
				if (DEBUG)
					fprintf(flink, "<LF[%d]>\n", btx_X);
			}
			if ((btx_DBS) && (!btx_ATR)) {
				if (DEBUG)
					fprintf(flink, "%c", SPACE);
				if(!btx_CRON){
					sprintf(str, "%c", SPACE);
					addstr( str );
					refresh();
					vs_putchar( (int)SPACE);
				}
				btx_log( (int)SPACE );
				btx_Y++;
			}
		}
		return(NUL);
	}
	if (c1 == CS) {				/* clear screen		*/
		btx_cls();
		btx_log_cls();
		btx_GSET = 1;
		btx_attrnorm();
		return(NUL);
	}

	if ((c1 == UML) && (btx_GSET != 0)) {
		s1 = prot_test();		/* lesen Umlaut	*/
		if (DEBUG)
			fprintf(flink, "<UML[%x][%x]GS[%x]>",c1,s1,btx_GSET);
		if (s1 == 'u')
			return(129);
		if (s1 == 'o')
			return(148);
		if (s1 == 'a')
			return(132);
		if (s1 == 'U')
			return(154);
		if (s1 == 'O')
			return(153);
		if (s1 == 'A')
			return(142);

		btx_MERKBYTE = s1;
		return(c1);
	}
	if (c1 == CAN) {			/*  Cancel fill space eol */
		if (DEBUG)
			fprintf(flink, "<CAN>");
		btx_delendline();
		btx_log_deol();
		return(NUL);
	}

	if ((c1 >= 0x98) && (c1 < 0xa0)) {	/* SPA	Attribute	*/
		if (DEBUG)
			fprintf(flink, "<SPA[%x]SC[%d]>",c1,SC);
		return(NUL);
	}
	if ((c1 < 0x20) || (c1 > 0xff)) {	/* Error char		*/
		if (DEBUG)
			fprintf(flink, "(#%x#)", c1);
		return(NUL);
	}

	return(c1);
}


int	prot_test()
{
	int	byte;
	int	readbyte();

	/* Pruefe ob gelesenes Byte ein Protokoll-Byte ist, wenn nein	*/
	/* gib byte zurueck. Sonst solange lesen bis Prot beendet ist 	*/

	readbyte(&byte);

	while ( btx_prot( byte ) ) {
		readbyte(&byte);
	}
	return( byte );
}

int	read_next()
{
	int	byte;
	int	readbyte();
	
	readbyte(&byte);
	return( byte );
}


/* Positioniere Bildschirm Zeile, Spalte   ANSI 	*/

unsigned short	
btx_locate( xx, yy )
int	xx, yy;
{
	unsigned short	rc = 0;
	char	buf[50];
	int	z;
	void	vs_pos();

	btx_X = xx;
	btx_Y = yy;

	if ( btx_X > 25 ){
		if(DEBUG)	fprintf(flink,"<ERROR btx_X[%d]>",btx_X);
		btx_X--;
		rc = -1;
	}
	if ( btx_Y > 80){
		if(DEBUG)	fprintf(flink,"<ERROR btx_Y[%d]>",btx_Y);
		rc = -1;
	}
	if(( btx_X < 0 ) || ( btx_Y < 0 )){
		if(DEBUG)	fprintf(flink,"<ERROR btx_Y[%d] btx_X[%d]>",
							btx_Y,btx_X);
		rc = -1;
	}
	if((yy > 39) && (yy < 45)){	/* positioniert new row		*/
		btx_X++;		/* pos by seriel or parallel	*/
		btx_Y=0;
		if(DEBUG)	fprintf(flink,"<OP[%d][%d]>", xx, yy);
	}

	if ( rc ) {
		btx_X=0;
		btx_Y=0;
		return(rc);
	}

	if( btx_CRON)	return(rc);

	if ( btx_X == 25){
		btx_X--;
	}
	move( btx_X, btx_Y );
	refresh();
	vs_pos( btx_X, btx_Y);

	return( rc );
}


/* Loesche Bildschirm und positioniere auf 0,1 ANSI	*/
void btx_cls()
{
	extern	 int vs_clear();
	btx_Y = 0;
	btx_X = 0;

	if( btx_CRON )	return;

	if(DEBUG)	fprintf(flink,"<CS >\n");	

	clear();
	vs_clear();
	refresh();
	return;
}


/* Attribute Normal	ANSI			*/
void btx_attrnorm()
{
	if( btx_CRON )	return;

	if(btx_STL){
#ifdef	M_TERMCAP
		if(btx_UE != (char *)NULL)	addstr( btx_UE );
#else
		attrset(A_NORMAL);
#endif
		if(DEBUG)	fprintf(flink, "<UN_STL>");
		btx_STL=OFF;
		refresh();
		return;
	}
#ifdef	M_TERMCAP
	if(btx_SE != (char *)NULL)	addstr( btx_SE );
#else
	attrset(A_UNDERLINE);
#endif
	if(DEBUG)	fprintf(flink, "<ATTRNORM>");
	refresh();
	btx_IPO=OFF;
	btx_locate(btx_X, btx_Y);
	return;
}


/* Beginn Unterstreichen ANSI Sequenz		*/
void btx_underline()
{
	if( btx_CRON )		return;
#ifdef	M_TERMCAP
		if(btx_US != (char *)NULL)	addstr( btx_US );
#else
		/*
		attrset(A_UNDERLINE);
		*/
#endif
	refresh();
	return;
}
void btx_underline_off()
{
	if( btx_CRON )		return;
#ifdef	M_TERMCAP
		if(btx_UE != (char *)NULL)	addstr( btx_UE );
#else
		/*
		attrset( A_NORMAL );
		*/
#endif
	refresh();
	return;
}


/* Beginn Invertiert Ausgabe	*/
void btx_invert()
{
	if( btx_CRON )		return;

#ifdef	M_TERMCAP
		if(btx_SO != (char *)NULL)	addstr( btx_SO );
#else
		attrset( A_REVERSE );
#endif
	refresh();
	return;
}
void btx_invert_off()
{
	if( btx_CRON )		return;

#ifdef	M_TERMCAP
		if(btx_SE != (char *)NULL)	addstr( btx_SE );
#else
		attrset( A_STANDOUT );
#endif
	refresh();
	return;
}


/* Loesche von aktueller Position zum Ende der Zeile ANSI	*/

void btx_delendline()
{
	char	buf[50];
	int	z;
	
	if( btx_CRON )		return;

	clrtoeol();
	refresh();
	for(z=btx_Y; z < 40; z++){
		vs_putchar( (int)SPACE );
	}

	return;
}


void btx_log_deol()
{
	int	z;
	for (z = btx_Y; z < 80; z++) {
		btx_log_tab[btx_X][z] = ' ';
	}
	return;
}


void btx_log_cls()
{
	int	z, zz;

	for (z = 0; z < 25; z++) {
		for (zz = 0; zz < 80; zz++) {
			btx_log_tab[z][zz] = ' ';
		}
		btx_log_tab[z][zz++] = '\0';
	}
	return;
}


void	btx_log( c )
unsigned char	c;
{
	btx_log_tab[btx_X][btx_Y]  = c;
	return;
}


void 	btx_log_write()
{
	short	z, zz;
	char	buffer[85];
	buffer[0] = ' ';
	for (z = btx_XS; z < btx_XE; z++) {
		for (zz = 0; zz < 80; zz++) {
			if((zz >= btx_YS) && (zz <= btx_YE))
				buffer[zz] = btx_log_tab[z][zz];
			else
				buffer[zz] = SPACE;
		}
		buffer[zz]   = '\0';

		if ((logfp != (FILE *)NULL) && (btx_L_MACRO)){
			fprintf( logfp, "%79s\n", buffer );
			if(DEBUG) fprintf(flink, "<LOG-ROW>");
		}
	}
return;
}


#define	INTWIDTH	sizeof(int) * 3 
 
/*	itoa:	integer to ascii string.......... This is too 
		inconsistant to use the system's	*/ 
 
char *itoa(i) 
int i;	/* integer to translate to a string */ 
{ 
	register int digit;		/* current digit being used */ 
	register char *sp;		/* pointer into result */ 
	register int sign;		/* sign of resulting number */ 
	static char result[INTWIDTH+1];	/* resulting string */ 
 
	/* record the sign...*/ 
	sign = 1; 
	if (i < 0) { 
		sign = -1; 
		i = -i; 
	} 
 
	/* and build the string (backwards!) */ 
	sp = result + INTWIDTH; 
	*sp = 0; 
	do { 
		digit = i % 10; 
		*(--sp) = '0' + digit;	/* and install the new digit */ 
		i = i / 10; 
	} while (i); 
 
	/* and fix the sign */ 
	if (sign == -1) { 
		*(--sp) = '-';	/* and install the minus sign */ 
	} 
 
	return(sp); 
} 
