
/*
 * Definitions to support the home-grown curses(3) functions and to make
 * the old curses(3) routines happy.  ("config.h" must be included first).
 */
extern	short	pro_BTX;
extern	long	START_TIME;
extern 	long	END_TIME;
extern	int	LANGUAGE;
#define mvwattrstr(w,y,x,a,s)	(wmove(w,y,x)==ERR?ERR:wattrstr(w,a,s))
#define mvwattrch(w,y,x,a,c)	(wmove(w,y,x)==ERR?ERR:wattrch(w,a,c))
#define mvwattrnum(w,y,x,a,n)	(wmove(w,y,x)==ERR?ERR:wattrnum(w,a,n))
#define mvattrstr(y,x,a,s)	(wmove(stdscr,y,x)==ERR?ERR:wattrstr(stdscr,a,s))
#define mvattrch(y,x,a,c)	(wmove(stdscr,y,x)==ERR?ERR:wattrch(stdscr,a,c))
#define mvattrnum(y,x,a,n)	(wmove(stdscr,y,x)==ERR?ERR:wattrnum(stdscr,a,n))
#define attrstr(a,s)		wattrstr(stdscr,a,s)
#define attrch(a,c)		wattrch(stdscr,a,c)
#define attrnum(a,n)		wattrnum(stdscr,a,n)

#ifdef OLDCURSES
#ifdef NOPROMOTE

#define A_BOLD		0
#define A_BLINK		0
#define A_REVERSE	1
#define A_DIM		0
#define A_STANDOUT	1
#define A_UNDERLINE	0
#define A_ALTCHARSET	1

#else /* NOPROMOTE */
#define A_BOLD		1
#define A_REVERSE	1
#define A_DIM		1
#define A_BLINK		1
#define A_STANDOUT	1
#define A_UNDERLINE	1
#define A_ALTCHARSET 	1

#endif /* NOPROMOTE */
#endif /* OLDCURSES */

#ifdef OLDCURSES
typedef char chtype;		/* set for termcap	*/
#endif /* OLDCURSES */

#ifdef ACS_HLINE		/* new curses is use	*/
#define VERT		(chtype)0
#define HORZ		(chtype)0
#else /* ACS_HLINE */
#define VERT            (chtype)'|'
#define HORZ            (chtype)'-'
#define ACS_VLINE       (chtype)'|'
#define ACS_HLINE       (chtype)'-'
#endif /* ACS_HLINE */

#define BS		8
#define ESC		27
#define DEL		127

#ifdef PLUSBOX
#define box(w,v,h) my_box(w,v,h)
#endif

#ifdef	SBBOX
#ifdef  box
#undef  box
#endif
#define	box(w,v,h) ush_box(w,v,h)
#endif

#ifdef	M_TERMCAP
#define	COLOR_BLACK	0
#define	COLOR_RED	1
#define COLOR_GREEN	2
#define COLOR_YELLOW	3
#define COLOR_BLUE	4
#define COLOR_MAGENTA	5
#define COLOR_CYAN	6
#define COLOR_WHITE	7
#endif
